Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.support.encoding
[Java] Interface CodecIdentifier

    public interface CodecIdentifier

Information about the codec that identifies it and tells it's aliases.

Authors:
  Lari Hotari

Since:
  2.3

Method Summary
`java.util.Set` | `getCodecAliases()` Gets the aliases for this codec.
`java.lang.String` | `getCodecName()` Gets the unique name of the codec.
`boolean` | `isEquivalent(CodecIdentifier other)` Checks if this codec is equivalent to some other codec

Method Detail

### getCodecAliases

    public java.util.Set getCodecAliases()

  Gets the aliases for this codec. Aliases are used in registering "encodeAs*" and "decode*" metamethods in DefaultGrailsCodecClass
  Returns:
    the codec aliases

### getCodecName

    public java.lang.String getCodecName()

  Gets the unique name of the codec.
  Returns:
    the codec name

### isEquivalent

    public boolean isEquivalent(CodecIdentifier other)

  Checks if this codec is equivalent to some other codec
  Parameters:
    `other` - the CodecIdentifier of the other codec
  Returns:
    true, if is equivalent

Groovy Documentation